# -*- coding: utf-8 -*-
#######################################################################################
#   Plinn - http://plinn.org                                                          #
#   Copyright (C) 2005-2007  Benoît PIN <benoit.pin@ensmp.fr>                         #
#                                                                                     #
#   This program is free software; you can redistribute it and/or                     #
#   modify it under the terms of the GNU General Public License                       #
#   as published by the Free Software Foundation; either version 2                    #
#   of the License, or (at your option) any later version.                            #
#                                                                                     #
#   This program is distributed in the hope that it will be useful,                   #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of                    #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                     #
#   GNU General Public License for more details.                                      #
#                                                                                     #
#   You should have received a copy of the GNU General Public License                 #
#   along with this program; if not, write to the Free Software                       #
#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.   #
#######################################################################################

from Products.CMFCore import utils
from Products.CMFCore.permissions import AddPortalContent

import PlinnDocument

contentClasses = (PlinnDocument.PlinnDocument,)
contentConstructors = (PlinnDocument.addPlinnDocument,)

def initialize(registrar) :
	utils.ContentInit(
		'Plinn Content',
		content_types = contentClasses,
		permission = AddPortalContent,
		extra_constructors = contentConstructors,
		).initialize(registrar)